petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMPIAIJSetValuesBatch

Set multiple blocks of values into a matrix

### Synopsis

    #include "petscmat.h"
    #undef __FUNCT__
    #define __FUNCT__ "MatSetValuesBatch_MPIAIJCUSP"
    PetscErrorCode MatSetValuesBatch_MPIAIJCUSP(Mat J, PetscInt Ne, PetscInt Nl, PetscInt *elemRows, const PetscScalar *elemMats)

Not collective Many br

### Input Parameters

| J | - the assembled Mat object Many br
| Ne | - the number of blocks (elements) Many br
| Nl | - the block size (number of dof per element) Many br
| elemRows | - List of block row indices, in bunches of length Nl Many br
| elemMats | - List of block values, in bunches of Nl*Nl Many br

Many br

### See Also

MatSetValues()

Level:advanced
Location:src/mat/impls/aij/mpi/mpicusp/mpiaijAssemble.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages